#499 closed defect (fixed)

68681 Bugs and Amelioration

Reported by: cedric_aubert Owned by: Joel Sherrill
Priority: normal Milestone: 2
Component: unspecified Version: 4.6
Severity: major Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

Some more bugs correction (include the rtems_misc/490
correction too).

  • Correction of ACR_BIT[7] (Baudrate table) Configuration
  • Correction of Parity Bit Configuration (Odd was forced)
  • Correction of Stop Bit configuration (inversed)
  • Correction of ISR Handler to call rtems_termios_dequeue_character only if is a Tx Empty IRQ.
  • Add RTS CTS Hardware flow control Configuration

Release:
RTEMS-4.6

How-To-Repeat:

  • ACR Bit just want 19200
  • Parity just want Even
  • Stop bit want 1 or 2 Stop and lock with espion it will be inversed
  • ISR Handler want to get some character, you will have

some of the old output character will be print.

Attachments (2)

pr499a.diff (4.3 KB) - added by cedric_aubert on Dec 3, 2006 at 1:31:13 PM.
pr499a.diff
mc68681.diff (4.8 KB) - added by cedric_aubert on Dec 3, 2006 at 1:31:13 PM.
mc68681.diff

Download all attachments as: .zip

Change History (3)

comment:1 Changed on Sep 26, 2003 at 7:16:43 PM by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Applied to trunk and 4.6 branch.

I added a modified version of the patch since this one did
not apply 100% cleanly for me.

Changed on Dec 3, 2006 at 1:31:13 PM by cedric_aubert

Attachment: pr499a.diff added

pr499a.diff

comment:2 Changed on Oct 10, 2017 at 6:35:44 AM by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.